Вход через Facebook на Hybridauth

Аватар пользователя fgvlasov fgvlasov 11 ноября в 23:10

Раз так активно помогли мне в соседней теме, то выложу свою другую боль. Не могу привзяать вход на Facebook через модуль Hybridauth
Сайт https://busy-project.com . Верстку только начал крутить.
Google все ок, VK отдельно файлик залил в библиотеку от https://github.com/hybridauth/hybridauth/blob/master/src/Provider/Vkontakte.php
а вот фейсбук не цепляется с яндексом, Callback URL не срабатывает и ругается:
Warning: file_exists(): open_basedir restriction in effect. File(/var/vendor/autoload.php) is not within the allowed path(s): (/var/www/user_busy/data:.) в функции Hybrid_Provider_Model->autoLoaderInit() (строка 150 в файле /var/www/user_busy/data/www/busy-project.com/sites/all/libraries/hybridauth/hybridauth/Hybrid/Provider_Model.php).

Прицепил скрины, что настроено верно в аккаунте.
Заплачу 500 р за помощь, доступ дам. ПРавда еще бы яндекс.

ВложениеРазмер
Иконка изображения facebook.jpg146.85 КБ
Иконка изображения facebook2.jpg115.37 КБ
0 Thanks

Комментарии

Аватар пользователя Semantics Semantics 11 ноября в 23:48

Ограничения хостинга.
На нормальных хостингах такого не используют.
Если у вас не сервер, то врядли вы сможете что либо изменить.
В любом случае, обратитесь в поддержку, может есть какая-нить галка в панеле управления.

500р можете закинуть на поддержку друпал.ру

Аватар пользователя fgvlasov fgvlasov 12 ноября в 8:52

Рассказываю где затык: https://github.com/hybridauth/hybridauth/issues/698
фишка в том, что надо скачать facebook sdk version 5.4.0 :
https://codeload.github.com/facebook/php-graph-sdk/zip/5.4.0
распаковать его в hybridauth\Hybrid\thirdparty\Facebook , но будьте внимательны, архви который вы скачаете вложенный, надо именно папку Facebook вставить в thirdparty
Ну и потом надо прописать в файл hybridauth/hybridauth/Hybrid/Providers/Facebook.php пятой строкой:
include_once('sites/all/libraries/hybridauth/hybridauth/Hybrid/thirdparty/Facebook/autoload.php');
чтобы вызвать ту самую новую часть библиотеки. Полагаю, что с Яндексом будет похожая канитель. Жаль, что в новых версиях библиотеки сразу не вставлены такие пакеты...